Package skyview.util

# Class SetTimeout

java.lang.Object
skyview.util.SetTimeout

public class SetTimeout extends Object
Used to force a process to timeout after a period of time

## Constructor Summary

Constructors
Constructor
Description
`SetTimeout()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`runThread()`
`static void`
`set()`
`void`
`set(long time)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SetTimeout

public SetTimeout()

## Method Details

### set

public void set(long time)

### set

public static void set()

### runThread

public static void runThread()